BN_copy(3) | OpenSSL | BN_copy(3)

# NAME

BN_copy, BN_dup - copy BIGNUMs

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/bn.h>
     BIGNUM *BN_copy(BIGNUM *to, const BIGNUM *from);
     BIGNUM *BN_dup(const BIGNUM *from);

# DESCRIPTION

BN_copy() copies from to to. BN_dup() creates a new BIGNUM containing the value from.

# RETURN VALUES

BN_copy() returns to on success, NULL on error. BN_dup() returns the new BIGNUM, and NULL on error. The error codes can be obtained by ERR_get_error(3).

# SEE ALSO

openssl_bn(3), ERR_get_error(3)

# HISTORY

BN_copy() and BN_dup() are available in all versions of SSLeay and OpenSSL.

2009-07-19 | 1.0.2k